package net.minecraft.src;

// This Dosn't require to be next to water to grow

import java.util.Random;

public class BlockTertplant extends Block
{
	protected BlockTertplant(int i, int j)
	{
		super(i, Material.wood);
		blockIndexInTexture = j;
		float F = 0.300F;
		setBlockBounds(0.5F - F, 0.0F, 0.5F - F, 0.5F + F, 1.0F, 0.5F + F);
		this.setTickRandomly(true);
	}
	
	public void updateTick(World world, int i, int j, int k, Random random) {
		if (world.isAirBlock(i, j + 1, k)) {
			int b;
			for (b = 1; world.getBlockId(i, j - b, k) == blockID; b++) {
			}
			if (b < 3) {
				int i1 = world.getBlockMetadata(i, j, k);
				if (i1 == 4 // Higher is that number longer it takes to grow) {
					world.setBlockWithNotify(i, j + 1, k, blockID);
					world.setBlockMetadataWithNotify(i, j, k, 0);
				} else {
					world.setBlockMetadataWithNotify(i, j, k, i1 + 1);
				}
			}
		}
	}
	
	public boolean canPlacedBlockAt(World world, int i, int j, int k)
	{
		int b = world.getBlockId(i, j + 1, k);
		if(b == blockID)
		{
			return true;
		}
		return b == Block.dirt.blockID || b == Block.grass.blockID;
	}
	
	public boolean canBlockStay(World world, int i, int j, int k)
	{
		return canPlaceBlockAt(world, i, j, k);
	}
	
	public AxisAlignedBB getCollisionBoundingBoxFromPool(World world, int i,
			int j, int k) {
		return null;
	}
	
	public int idDropped(int i, Random random)
	{
		return mod_tert.TertPlant.blockID;
	}
	
	public boolean isOpaqueCube()
	{
		return false;
	}
	
	public boolean renderAsNormalBlock()
	{
		return false;
	}
	
	public int getRenderType()
	{
		return 1;
	}
}
